%define upstream_name	 Data-Structure-Util
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
Summary:    Change nature of data within a structure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Simple)
BuildRequires: perl-devel

%description
"Data::Structure::Util" is a toolbox to manipulate the data inside a
data structure. It can process an entire tree and perform the
operation requested on each appropriate element.

For example: It can transform all strings within a data structure to
utf8 or transform any utf8 string back to the default encoding. It can
remove the blessing on any reference. It can collect all the objects
or detect if there is a circular reference.

It is written in C for decent speed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml NINJA README SIGNATURE
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data
%{_mandir}/man?/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.160.0-12.mga8
+ Revision: 1594398
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.160.0-11.mga8
+ Revision: 1529439
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.160.0-10.mga8
+ Revision: 1433490
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.160.0-9.mga7
+ Revision: 1292689
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 0.160.0-8.mga7
+ Revision: 1248334
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.160.0-7.mga7
+ Revision: 1163826
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.160.0-6.mga7
+ Revision: 1148931
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.160.0-5.mga7
+ Revision: 1127388
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-4.mga6
+ Revision: 1024889
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.160.0-3.mga6
+ Revision: 957060
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.160.0-2.mga6
+ Revision: 844789
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 841948
- New version 0.16 + Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 0.150.0-11.mga5
+ Revision: 790019
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-10.mga5
+ Revision: 742877
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-9.mga5
+ Revision: 684242
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 jquelin <jquelin> 0.150.0-8.mga5
+ Revision: 633358
- fix tests for perl 5.20
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-7.mga4
+ Revision: 525338
- Mageia 4 Mass Rebuild

* Thu May 30 2013 fwang <fwang> 0.150.0-6.mga4
+ Revision: 433088
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-5.mga3
+ Revision: 365478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.150.0-4.mga3
+ Revision: 250481
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.150.0-3.mga2
+ Revision: 104096
- perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.150.0-2.mga1
+ Revision: 33703
- mageia rebuild
- imported package perl-Data-Structure-Util


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-2mdv2011.0
+ Revision: 555781
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.0
+ Revision: 403086
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.15-3mdv2009.0
+ Revision: 256479
- rebuild

* Tue Mar 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.1
+ Revision: 185217
- new version

* Sun Mar 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2008.1
+ Revision: 183113
- update to new version 0.13

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.12-3mdv2008.1
+ Revision: 135831
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-3mdv2007.0
+ Revision: 73484
- import perl-Data-Structure-Util-0.12-3mdv2007.1

* Tue Jul 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-2mdv2007.0
- switch to Module::Build build
- spec cleanup
- rpmbuildupdate aware
- fix directory ownership
- fix license
- non-redundant summary
- drop redundant perl buildrequires
- better URL

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdv2007.0
- initial Mandriva package

